import n from "../index.js";
import "react/jsx-runtime";
import "react";
const l = {
  formules_schema: {},
  functions: {},
  params: {},
  mainConfig: { type: "govco", formulario_id: NaN, impuesto_id: "" },
  formString: "",
  submitCallback: () => {
  },
  cancelCallback: () => {
  },
  formSchema: {}
}, { Provider: s, useSelectorContext: c } = n(l), u = s, p = () => {
  const [e, r] = c((o) => o.modalInfo), t = (o) => {
    r((a) => {
      a.modalInfo = o;
    });
  };
  return {
    closeModal: () => {
      e.type && t(void 0);
    },
    setModal: t,
    modalInfo: e
  };
};
export {
  u as GeneralStoreProvider,
  s as Provider,
  c as useGeneralForm,
  p as useModalContext
};
